extends index

block content
    nav(class="navbar navbar-dark bg-dark")
        h1(class="navbar-brand")=pageHeader 

        form(action="." method="POST" class="form-inline")
            label(class="text-white mr-2") Coordinates:
            input(
            type="text"
            id="coordinates"
            class="form-control mr-2"
            name="coordinates"
            placeholder="Latitude, Longitude"
            required
            if coordinates
                value=coordinates
            )

            input(type="submit" value="Search" class="btn btn-outline-info")
    div(class="container mt-2")
        if error && error.msg
            div(class="alert alert-danger text-center")= error.msg
        else
            if map.src !== ''
                .map-container
                    img(src=map.src class="img-fluid" alt="NASA picture")
            else 
                div(class="alert alert-warning text-center") Image not found, search for a valid coordinate.
            